Format 11

# Theorem-unnumbered style declaration
Style Théorème
  CopyStyle		Théorème(ST)
  Category		"Théorèmes non numérotés"
  LatexName		thm*
  LabelType		Static
  LabelString		"Théorème."

  Preamble
    \theoremstyle{plain}
    \newtheorem*{thm*}{Th\'eor\`eme}
  EndPreamble
End

# Proposition-unnumbered style declaration
Style Proposition
  CopyStyle		Théorème(ST)
  Category		"Théorèmes non numérotés"
  LatexName		prop*
  LabelType		Static
  LabelString		"Proposition."

  Preamble
    \theoremstyle{plain}
    \newtheorem*{prop*}{Proposition}
  EndPreamble
End

# Corollary-unnumbered style declaration
Style Corollaire
  CopyStyle		Théorème(ST)
  Category		"Théorèmes non numérotés"
  LatexName		cor*
  LabelType		Static
  LabelString		"Corollaire."

  Preamble
    \theoremstyle{plain}
    \newtheorem*{cor*}{Corollaire}
  EndPreamble
End

# Lemma-unnumbered style declaration
Style Lemme
  CopyStyle		Théorème(ST)
  Category		"Théorèmes non numérotés"
  LatexName		lem*
  LabelType		Static
  LabelString		"Lemme."

  Preamble
    \theoremstyle{plain}
    \newtheorem*{lem*}{Lemme} %%Delete [thm] to re-start numbering
  EndPreamble
End

# Definition-unnumbered style declaration
Style Définition
  CopyStyle     	Définition(ST)
  Category		"Théorèmes non numérotés"
  LatexName		defn*
  LabelType		Static
  LabelString		"Définition."

  Preamble
   \theoremstyle{definition}
   \newtheorem*{defn*}{D\'efinition}
  EndPreamble
End

# Remark-unnumbered style declaration
Style Remarque
  CopyStyle		Remarque(ST)
  Category		"Théorèmes non numérotés"
  LatexName		rem*
  LabelType		Static
  LabelString		"Remarque."

  Preamble
    \theoremstyle{remark}
    \newtheorem*{rem*}{Remarque}
  EndPreamble
End

# Notation-unnumbered style declaration
Style Notation
  CopyStyle		Remarque(ST)
  Category		"Théorèmes non numérotés"
  LatexName		notation
  LabelType		Static
  LabelString		"Notation."

  Preamble
    \theoremstyle{remark}
    \newtheorem*{notation}{Notation}
  EndPreamble
End

# Axiom-unnumbered style declaration
Style Axiome
  CopyStyle		Théorème(ST)
  Category		"Théorèmes non numérotés"
  LatexName		ax
  LabelType		Static
  LabelString		"Axiome."

  Preamble
    \theoremstyle{plain}
    \newtheorem*{ax}{Axiome}
  EndPreamble
End

# Criterion-unhnumbered style declaration
Style Critère
  CopyStyle		Théorème(ST)
  Category		"Théorèmes non numérotés"
  LatexName		criterion
  LabelType		Static
  LabelString		"Critère."

  Preamble
    \theoremstyle{plain}
    \newtheorem*{criterion}{Crit\`ere} %%Delete [thm] to re-start numbering
  EndPreamble
End

# Algorithm-unnumbered style declaration
Style Algorithme
  CopyStyle		Théorème(ST)
  Category		"Théorèmes non numérotés"
  LatexName		algorithm
  LabelType		Static
  LabelString		"Algorithme."

  Preamble
    \theoremstyle{plain}
    \newtheorem*{algorithm}{Algorithme} %%Delete [thm] to re-start numbering
  EndPreamble
End

# Exercise-unnumbered style declaration
Style Exercice
  CopyStyle		Définition(ST)
  Category		"Théorèmes non numérotés"
  LatexName		exo*
  LabelType		Static
  LabelString		"Exercice."

  Preamble
   \theoremstyle{definition}
    \newtheorem*{exo*}{Exercice}
   EndPreamble
End

# Problem-unnumbered style declaration
Style Problème
  CopyStyle		Définition(ST)
  Category		"Théorèmes non numérotés"
  LatexName		problem
  LabelType		Static
  LabelString		"Problème."

  Preamble
   \theoremstyle{definition}
    \newtheorem*{problem}{Probl\`eme}
  EndPreamble
End

# Exemple-unnumbered style declaration
Style Exemple
  CopyStyle		Définition(ST)
  Category		"Théorèmes non numérotés"
  LatexName		example*
  LabelType		Static
  LabelString		"Exemple."

  Preamble
   \theoremstyle{definition}
    \newtheorem*{example*}{Exemple}
  EndPreamble
End

# Conjecture-unnumbered style declaration
Style Conjecture
  CopyStyle		Théorème(ST)
  Category		"Théorèmes non numérotés"
  LatexName		conjecture*
  LabelType		Static
  LabelString		"Conjecture."

  Preamble
    \theoremstyle{plain}
    \newtheorem*{conjecture*}{Conjecture}
  EndPreamble
End

# Fact-unnumbered style declaration
Style Fait
  CopyStyle		Théorème(ST)
  Category		"Théorèmes non numérotés"
  LatexName		fact*
  LabelType		Static
  LabelString		"Fait."

  Preamble
    \theoremstyle{plain}
    \newtheorem*{fact*}{Fait}
  EndPreamble
End

# Condition-unnumbered style declaration
Style Condition
  CopyStyle		Définition(ST)
  Category		"Théorèmes non numérotés"
  LatexName		condition
  LabelType		Static
  LabelString		"Condition."

  Preamble
   \theoremstyle{definition}
    \newtheorem*{condition}{Condition}
  EndPreamble
End

# Claim-unnumbered style declaration
Style Claim
  CopyStyle		Remarque(ST)
  Category		"Théorèmes non numérotés"
  LatexName		claim*
  LabelType		Static
  LabelString		"Claim."

  Preamble
    \theoremstyle{remark}
    \newtheorem*{claim*}{Claim}
  EndPreamble
End

# Note-unnumbered style declaration
Style Note
  CopyStyle		Remarque(ST)
  Category		"Théorèmes non numérotés"
  LatexName		note*
  LabelType		Static
  LabelString		"Note."

  Preamble
    \theoremstyle{remark}
    \newtheorem*{note*}{Note}
  EndPreamble
End

# Conclusion-unnumbered style declaration
Style Conclusion
  CopyStyle		Remarque(ST)
  Category		"Théorèmes non numérotés"
  LatexName		conclusion*
  LabelType		Static
  LabelString		"Conclusion."

  Preamble
    \theoremstyle{remark}
    \newtheorem*{conclusion*}{Conclusion}
  EndPreamble
End
