# The environnements defined are :
# - Theorem(ST)
# - Corollary(ST)
# - Lemma(ST)
# - Proposition(ST)
# - Proposition*
# - Conjecture(ST)
# - Conjecture*
# - Criterion(ST)
# - Algorithm
# - Axiom(ST)
# - Definition(ST)
# - Definition*
# - Example(ST)
# - Example*
# - Condition(ST)
# - Problem(ST)
# - Exercise
# - Exercice*
# - Remark(ST)
# - Remark*
# - Note(ST)
# - Note*
# - Notation(ST)
# - Claim(ST)
# - Claim*
# - Summary(ST)
# - Acknowledgement(ST)
# - Acknowledgement*
# - Case(ST)
# - Conclusion(ST)
# - Conclusion*
# - Fact(ST)
# - Fact*

Format 11

Counter theorem-(ST)
	Within               section
End

# Theorem-numbered style declaration
Style Theorem(ST)
  Category		"Théorèmes numérotés sur les Sections"
  Margin		First_Dynamic
  LatexType		Environment
  LatexName		stthm
  NextNoIndent		0
  LabelSep		xx
  ParIndent             MMM
  ParSkip		0.4
  ItemSep		0.2
  TopSep		0.7
  BottomSep		0.7
  ParSep		0.3
  Align			Block
  AlignPossible		Block, Left
  LabelType		Counter
  LabelCounter  theorem-(ST)
  LabelString		"Theorem \arabic{section}.\arabic{theorem-(ST)}."

  # standard font definition
  Font
    Shape 		Italic
    Size		Normal
  EndFont

  # label font definition
  LabelFont
    Shape		Up
    Series		Bold
  EndFont
End

# Proposition-numbered style declaration
Style Proposition(ST)
  CopyStyle		Theorem(ST)
  LatexName		stprop
  LabelString		"Proposition \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{stprop}[stthm]{Proposition}
  EndPreamble
End

Counter proposition-(SP)
	Within               section
End

# Proposition-numbered style declaration
Style Proposition(SP)
  CopyStyle		Theorem(ST)
  LatexName		spprop
  LabelCounter  proposition-(SP)
  LabelString		"Proposition \arabic{section}.\arabic{proposition-(SP)}."

#  Preamble
#    \theoremstyle{plain}
#    \newtheorem{spprop}{Proposition}[section]
#  EndPreamble
End

# Corollary-numbered style declaration
Style Corollary(ST)
  CopyStyle		Theorem(ST)
  LatexName		stcor
  LabelString		"Corollary \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{stcor}[stthm]{Corollary}
  EndPreamble
End

Counter corollary-(SC)
	Within               section
End

# Corollary-numbered style declaration
Style Corollary(SC)
  CopyStyle		Theorem(ST)
  LatexName		sccor
  LabelCounter  corollary-(SC)
  LabelString		"Corollary \arabic{section}.\arabic{corollary-(SC)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{sccor}{Corollary}[section]
  EndPreamble
End

Counter corollary-(STC)
    Within               theorem-(ST)
End

# Corollary-numbered style declaration
Style Corollary(STC)
  CopyStyle		Theorem(ST)
  LatexName		stccor
  LabelCounter  corollary-(STC)
  LabelString		"Corollary \arabic{section}.\arabic{theorem-(ST)}.\arabic{corollary-(STC)}."

#  Preamble
#    \theoremstyle{plain}
#    \newtheorem{stccor}{Corollary}[stthm]
#  EndPreamble
End

Counter corollary-(CsurST)
    Within               theorem-(ST)
End

# Corollary-numbered style declaration
Style Corollary((ST)C)
  CopyStyle		Theorem(ST)
  LatexName		ccorst
  LabelCounter  corollary-(CsurST)
  LabelString		"Corollary \arabic{corollary-(CsurST)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{ConST}[stthm]
    \newtheorem{ccorst}[ConST]{Corollary}
  EndPreamble
End

Counter corollary-(CsurSP)
    Within               proposition-(SP)
End

# Corollary-numbered style declaration
Style Corollary((SP)C)
  CopyStyle		Theorem(ST)
  LatexName		ccorsp
  LabelCounter  corollary-(CsurSP)
  LabelString		"Corollary \arabic{corollary-(CsurSP)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{ConSP}[spprop]
    \newtheorem{ccorsp}[ConSP]{Corollary}
  EndPreamble
End

Counter corollary-(CsurSL)
    Within               lemme-(SL)
End

# Corollary-numbered style declaration
Style Corollary((SL)C)
  CopyStyle		Theorem(ST)
  LatexName		ccorsl
  DependsOn     Lemma(SL)
  LabelCounter  corollary-(CsurSL)
  LabelString		"Corollary \arabic{corollary-(CsurSL)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{ConSL}[sllem]
    \newtheorem{ccorsl}[ConSL]{Corollary}
  EndPreamble
End

# Lemma-numbered style declaration
Style Lemma(ST)
  CopyStyle		Theorem(ST)
  LatexName		stlem
  LabelString		"Lemma \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{stlem}[stthm]{Lemma}
  EndPreamble
End

Counter lemma-(SL)
	Within               section
End

# Lemma-numbered style declaration
Style Lemma(SL)
  CopyStyle		Theorem(ST)
  LatexName		sllem
  LabelCounter  lemma-(SL)
  LabelString		"Lemma \arabic{section}.\arabic{lemma-(SL)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{sllem}{Lemma}[section]
  EndPreamble
End

Counter lemma-(STL)
    Within               theorem-(ST)
End

# Lemma-numbered style declaration
Style Lemma(STL)
  CopyStyle		Theorem(ST)
  LatexName		stllem
  LabelCounter  lemma-(STL)
  LabelString		"Lemma \arabic{section}.\arabic{theorem-(ST)}.\arabic{lemma-(STL)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{stllem}{Lemma}[stthm]
  EndPreamble
End

Counter lemma-(SPL)
    Within               proposition-(SP)
End

# Lemma-numbered style declaration
Style Lemma(SPL)
  CopyStyle		Theorem(ST)
  LatexName		spllem
  LabelCounter  lemma-(SPL)
  LabelString		"Lemma \arabic{section}.\arabic{proposition-(SP)}.\arabic{lemma-(SPL)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{spllem}{Lemma}[spprop]
  EndPreamble
End

Counter lemma-(SPL)
    Within               proposition-(SP)
End

# Lemma-numbered style declaration
Style Lemma(SPL)
  CopyStyle		Theorem(ST)
  LatexName		spllem
  LabelCounter  lemma-(SPL)
  LabelString		"Lemma \arabic{section}.\arabic{proposition-(SP)}.\arabic{lemma-(SPL)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{spllem}{Lemma}[spprop]
  EndPreamble
End

Counter lemma-(STCL)
    Within               corollary-(STC)
End

# Lemma-numbered style declaration
Style Lemma(STCL)
  CopyStyle		Theorem(ST)
  LatexName		stcllem
  LabelCounter  lemma-(STCL)
  LabelString		"Lemma \arabic{section}.\arabic{theorem-(ST)}.\arabic{corollary-(STC)}.\arabic{lemma-(STCL)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{stcllem}{Lemma}[stccor]
  EndPreamble
End

Counter lemma-(LsurST)
    Within               theorem-(ST)
End

# Lemma-numbered style declaration
Style Lemma((ST)L)
  CopyStyle		Theorem(ST)
  LatexName		llemst
  LabelCounter  lemma-(LsurST)
  LabelString		"Lemma \arabic{lemma-(LsurST)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{LonST}[stthm]
    \newtheorem{llemst}[LonST]{Lemma}
  EndPreamble
End

Counter lemma-(LsurSP)
    Within               proposition-(SP)
End

# Lemma-numbered style declaration
Style Lemma((SP)L)
  CopyStyle		Theorem(ST)
  LatexName		llemsp
  LabelCounter  lemma-(LsurSP)
  LabelString		"Lemma \arabic{lemma-(LsurSP)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{LonSP}[spprop]
    \newtheorem{llemsp}[LonSP]{Lemma}
  EndPreamble
End

Counter lemma-(LsurSTC)
    Within               corollary-(STC)
End

# Lemma-numbered style declaration
Style Lemma((STC)L)
  CopyStyle		Theorem(ST)
  LatexName		llemstc
  LabelCounter  lemma-(LsurSTC)
  LabelString		"Lemma \arabic{lemma-(LsurSTC)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{LonSTC}[stccor]
    \newtheorem{llemstc}[LonSTC]{Lemma}
  EndPreamble
End

Counter lemma-(LsurCsurST)
    Within               corollary-(CsurST)
End

# Lemma-numbered style declaration
Style Lemma(((ST)C)L)
  CopyStyle		Theorem(ST)
  LatexName		stllemc
  LabelCounter  lemma-(LsurCsurST)
  LabelString		"Lemma \arabic{lemma-(LsurCsurST)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{LonConST}[ConST]
    \newtheorem{stllemc}[LonConST]{Lemma}
  EndPreamble
End

Counter lemma-(LsurCsurSP)
    Within               corollary-(CsurSP)
End

# Lemma-numbered style declaration
Style Lemma(((SP)C)L)
  CopyStyle		Theorem(ST)
  LatexName		spllemc
  LabelCounter  lemma-(LsurCsurSP)
  LabelString		"Lemma \arabic{lemma-(LsurCsurSP)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{LonConSP}[ConSP]
    \newtheorem{spllemc}[LonConSP]{Lemma}
  EndPreamble
End

# Definition-numbered style declaration
Style Definition(ST)
  CopyStyle		Theorem(ST)
  LatexName		stdefn
  LabelString		"Definition \arabic{section}.\arabic{theorem-(ST)}."

  # standard font definition
  Font
    Shape 		Up
  EndFont

  # label font definition
  LabelFont
    Shape		Up
    Series		Bold
  EndFont

  Preamble
   \theoremstyle{definition}
   \newtheorem{stdefn}[stthm]{Definition}
  EndPreamble
End

Counter definition-(SD)
	Within               section
End

# Definition-numbered style declaration
Style Definition(SD)
  CopyStyle		Definition(ST)
  LatexName		sddefn
  LabelCounter  definition-(SD)
  LabelString		"Definition \arabic{section}.\arabic{definition-(SD)}."

  Preamble
   \theoremstyle{definition}
   \newtheorem{sddefn}{Definition}[section]
  EndPreamble
End

# Remark-numbered style declaration
Style Remark(ST)
  CopyStyle		Theorem(ST)
  LatexName		strem
  LabelString		"Remark \arabic{section}.\arabic{theorem-(ST)}."

  # standard font definition
  Font
    Shape 		Up
    Size		Normal
  EndFont

  # label font definition
  LabelFont
    Series		Medium
    Shape		Italic
  EndFont

  Preamble
    \theoremstyle{remark}
    \newtheorem{strem}[stthm]{Remark}
  EndPreamble
End

Counter remark-(SR)
	Within               section
End

# Remark-numbered style declaration
Style Remark(SR)
  CopyStyle		Remark(ST)
  LatexName		srrem
  LabelCounter  remark-(SR)
  LabelString		"Remark \arabic{section}.\arabic{remark-(SR)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{srrem}{Remark}[section]
  EndPreamble
End

# Notation-numbered style declaration
Style Notation(ST)
  CopyStyle		Remark(ST)
  LatexName		stnotation
  LabelString		"Notation \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{stnotation}[stthm]{Notation}
  EndPreamble
End

Counter notation-(SN)
	Within               section
End

# Notation-numbered style declaration
Style Notation(SN)
  CopyStyle		Remark(ST)
  LatexName		snnotation
  LabelCounter  notation-(SN)
  LabelString		"Notation \arabic{section}.\arabic{notation-(SN)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{snnotation}{Notation}[section]
  EndPreamble
End

# Axiom-numbered style declaration
Style Axiom(ST)
  CopyStyle		Theorem(ST)
  LatexName		stax
  LabelString		"Axiom \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{stax}[stthm]{Axiom}
  EndPreamble
End

Counter axiom-(SA)
	Within               section
End

# Axiom-numbered style declaration
Style Axiom(SA)
  CopyStyle		Theorem(ST)
  LatexName		saax
  LabelCounter  axiom-(SA)
  LabelString		"Axiom \arabic{section}.\arabic{axiom-(SA)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{saax}{Axiom}[section]
  EndPreamble
End

# Criterion-numbered style declaration
Style Criterion(ST)
  CopyStyle		Theorem(ST)
  LatexName		stcriterion
  LabelString		"Criterion \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{stcriterion}[stthm]{Criterion} %%Delete [thm] to re-start numbering
  EndPreamble
End

# Algorithm-numbered style declaration
Style Algorithm(ST)
  CopyStyle		Theorem(ST)
  LatexName		stalgorithm
  LabelString		"Algorithm \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{stalgorithm}[stthm]{Algorithm} %%Delete [thm] to re-start numbering
  EndPreamble
End

# Exercise-numbered style declaration
Style Exercise(ST)
  CopyStyle		Definition(ST)
  LatexName		stexo
  LabelString		"Exercise \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{stexo}[stthm]{Exercise}
   EndPreamble
End

Counter exercise-(SExo)
	Within               section
End

# Exercise-numbered style declaration
Style Exercise(SExo)
  CopyStyle		Definition(ST)
  LatexName		sexoexo
  LabelCounter  exercise-(SExo)
  LabelString		"Exercise \arabic{section}.\arabic{exercice-(SExo)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{sexoexo}{Exercise}[section]
   EndPreamble
End


# Problem-numbered style declaration
Style Problem(ST)
  CopyStyle		Definition(ST)
  LatexName		stproblem
  LabelString		"Problem \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{stproblem}[stthm]{Problem}
  EndPreamble
End

Counter problem-(SPb)
	Within               section
End

# Problem-numbered style declaration
Style Problem(SPb)
  CopyStyle		Definition(ST)
  LatexName		stproblem
  LabelCounter  problem-(SPb)
  LabelString		"Problem \arabic{section}.\arabic{problem-(SPb)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{spbproblem}{Problem}[section]
  EndPreamble
End

# Example-numbered style declaration
Style Example(ST)
  CopyStyle		Definition(ST)
  LatexName		stexample
  LabelString		"Example \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{stexample}[stthm]{Example}
  EndPreamble
End

Counter example-(SExm)
	Within               section
End

# Example-numbered style declaration
Style Example(SExm)
  CopyStyle		Definition(ST)
  LatexName		sexmexample
  LabelCounter  example-(SExm)
  LabelString		"Example \arabic{section}.\arabic{example-(SExm)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{sexmexample}{Example}[section]
  EndPreamble
End

# Conjecture-numbered style declaration
Style Conjecture(ST)
  CopyStyle		Theorem(ST)
  LatexName		stconjecture
  LabelString		"Conjecture \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{stconjecture}[stthm]{Conjecture}
  EndPreamble
End

Counter conjecture-(SCj)
	Within               section
End

# Conjecture-numbered style declaration
Style Conjecture(SCj)
  CopyStyle		Theorem(ST)
  LatexName		scjconjecture
  LabelCounter  conjecture-(SCj)
  LabelString		"Conjecture \arabic{section}.\arabic{conjecture-(SCj)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{scjconjecture}{Conjecture}[section]
  EndPreamble
End

# Fact-numbered style declaration
Style Fact(ST)
  CopyStyle		Theorem(ST)
  LatexName		stfact
  LabelString		"Fact \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{stfact}[stthm]{Fact}
  EndPreamble
End

Counter fact-(SF)
	Within               section
End

# Fact-numbered style declaration
Style Fact(SF)
  CopyStyle		Theorem(ST)
  LatexName		sffact
  LabelCounter  fact-(SF)
  LabelString		"Fact \arabic{section}.\arabic{fact-(SF)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{sffact}{Fact}[section]
  EndPreamble
End

# Condition-numbered style declaration
Style Condition(ST)
  CopyStyle		Definition(ST)
  LatexName		stcondition
  LabelString		"Condition \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{stcondition}[stthm]{Condition}
  EndPreamble
End

Counter condition-(SCd)
	Within               section
End

# Condition-numbered style declaration
Style Condition(SCd)
  CopyStyle		Definition(ST)
  LatexName		scdcondition
  LabelCounter  condition-(SCd)
  LabelString		"Condition \arabic{section}.\arabic{condition-(SCd)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{scdcondition}{Condition}[section]
  EndPreamble
End

# Case-numbered style declaration
Style Case(ST)
  CopyStyle		Remark(ST)
  LatexName		stcase
  LabelString		"Case \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{stcase}[stthm]{Case} %%Numbering of Cases not keyed to sections
  EndPreamble
End

Counter case-(SCas)
	Within               section
End

# Case-numbered style declaration
Style Case(SCas)
  CopyStyle		Remark(ST)
  LatexName		scascase
  LabelCounter  case-(SCas)
  LabelString		"Case \arabic{section}.\arabic{cas-(SCas)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{scascase}{Case}[section]
  EndPreamble
End

# Conclusion-numbered style declaration
Style Conclusion(ST)
  CopyStyle		Remark(ST)
  LatexName		stconclusion
  LabelString		"Conclusion \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{stconclusion}[stthm]{Conclusion}
  EndPreamble
End

Counter conclusion-(SCl)
	Within               section
End

# Conclusion-numbered style declaration
Style Conclusion(SCl)
  CopyStyle		Remark(ST)
  LatexName		sclconclusion
  LabelCounter  conclusion-(SCl)
  LabelString		"Conclusion \arabic{section}.\arabic{conclusion-(SCl)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{sclconclusion}{Conclusion}[section]
  EndPreamble
End

# Note-numbered style declaration
Style Note(ST)
  CopyStyle		Remark(ST)
  LatexName		stnote
  LabelString		"Note \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{stnote}[stthm]{Note}
  EndPreamble
End

Counter note-(SNote)
	Within               section
End

# Note-numbered style declaration
Style Note(SNote)
  CopyStyle		Remark(ST)
  LatexName		snotenote
  LabelCounter  note-(SNote)
  LabelString		"Note \arabic{section}.\arabic{note-(SNote)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{snotenote}{Note}[section]
  EndPreamble
End
