# The environnements defined are :
# - Theoreme(ST)
# - Corollary(ST)
# - Lemma(ST)
# - Proposition(ST)
# - Proposition*
# - Conjecture(ST)
# - Conjecture*
# - Criterion(ST)
# - Algorithm
# - Axiom(ST)
# - Definition(ST)
# - Definition*
# - Example(ST)
# - Example*
# - Condition(ST)
# - Problem(ST)
# - Exercise
# - Exercice*
# - Remark(ST)
# - Remark*
# - Note(ST)
# - Note*
# - Notation(ST)
# - Claim(ST)
# - Claim*
# - Summary(ST)
# - Acknowledgement(ST)
# - Acknowledgement*
# - Case(ST)
# - Conclusion(ST)
# - Conclusion*
# - Fact(ST)
# - Fact*

Format 11

Counter theorem-(ST)
	Within               section
End

# Theorem-numbered style declaration
Style Théorème(ST)
  Category		"Théorèmes numérotés sur les Sections"
  Margin		First_Dynamic
  LatexType		Environment
  LatexName		stthm
  NextNoIndent		0
  LabelSep		xx
  ParIndent             MMM
  ParSkip		0.4
  ItemSep		0.2
  TopSep		0.7
  BottomSep		0.7
  ParSep		0.3
  Align			Block
  AlignPossible		Block, Left
  LabelType		Counter
  LabelCounter  theorem-(ST)
  LabelString		"Théorème \arabic{section}.\arabic{theorem-(ST)}."

  # standard font definition
  Font
    Shape 		Italic
    Size		Normal
  EndFont

  # label font definition
  LabelFont
    Shape		Up
    Series		Bold
  EndFont
End

# Proposition-numbered style declaration
Style Proposition(ST)
  CopyStyle		Théorème(ST)
  LatexName		stprop
  LabelString		"Proposition \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{stprop}[stthm]{Proposition}
  EndPreamble
End

Counter proposition-(SP)
	Within               section
End

# Proposition-numbered style declaration
Style Proposition(SP)
  CopyStyle		Théorème(ST)
  LatexName		spprop
  LabelCounter  proposition-(SP)
  LabelString		"Proposition \arabic{section}.\arabic{proposition-(SP)}."

#  Preamble
#    \theoremstyle{plain}
#    \newtheorem{spprop}{Proposition}[section]
#  EndPreamble
End

# Corollary-numbered style declaration
Style Corollaire(ST)
  CopyStyle		Théorème(ST)
  LatexName		stcor
  LabelString		"Corollaire \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{stcor}[stthm]{Corollaire}
  EndPreamble
End

Counter corollaire-(SC)
	Within               section
End

# Corollary-numbered style declaration
Style Corollaire(SC)
  CopyStyle		Théorème(ST)
  LatexName		sccor
  LabelCounter  corollaire-(SC)
  LabelString		"Corollaire \arabic{section}.\arabic{corollaire-(SC)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{sccor}{Corollaire}[section]
  EndPreamble
End

Counter corollaire-(STC)
    Within               theorem-(ST)
End

# Corollary-numbered style declaration
Style Corollaire(STC)
  CopyStyle		Théorème(ST)
  LatexName		stccor
  LabelCounter  corollaire-(STC)
  LabelString		"Corollaire \arabic{section}.\arabic{theorem-(ST)}.\arabic{corollaire-(STC)}."

#   Preamble
#    \theoremstyle{plain}
#    \newtheorem{stccor}{Corollaire}[stthm]
#  EndPreamble
End

Counter corollaire-(CsurST)
    Within               theorem-(ST)
End

# Corollary-numbered style declaration
Style Corollaire((ST)C)
  CopyStyle		Théorème(ST)
  LatexName		ccorst
  LabelCounter  corollaire-(CsurST)
  LabelString		"Corollaire \arabic{corollaire-(CsurST)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{ConST}[stthm]
    \newtheorem{ccorst}[ConST]{Corollaire}
  EndPreamble
End

Counter corollaire-(CsurSP)
    Within               proposition-(SP)
End

# Corollary-numbered style declaration
Style Corollaire((SP)C)
  CopyStyle		Théorème(ST)
  LatexName		ccorsp
  LabelCounter  corollaire-(CsurSP)
  LabelString		"Corollaire \arabic{corollaire-(CsurSP)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{ConSP}[spprop]
    \newtheorem{ccorsp}[ConSP]{Corollaire}
  EndPreamble
End

Counter corollaire-(CsurSL)
    Within               lemme-(SL)
End

# Corollary-numbered style declaration
Style Corollaire((SL)C)
  CopyStyle		Théorème(ST)
  LatexName		ccorsl
  DependsOn     Lemme(SL)
  LabelCounter  corollaire-(CsurSL)
  LabelString		"Corollaire \arabic{corollaire-(CsurSL)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{ConSL}[sllem]
    \newtheorem{ccorsl}[ConSL]{Corollaire}
  EndPreamble
End

# Lemma-numbered style declaration
Style Lemme(ST)
  CopyStyle		Théorème(ST)
  LatexName		stlem
  LabelString		"Lemme \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{stlem}[stthm]{Lemme}
  EndPreamble
End

Counter lemme-(SL)
	Within               section
End

# Lemma-numbered style declaration
Style Lemme(SL)
  CopyStyle		Théorème(ST)
  LatexName		sllem
  LabelCounter  lemme-(SL)
  LabelString		"Lemme \arabic{section}.\arabic{lemme-(SL)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{sllem}{Lemme}[section]
  EndPreamble
End

Counter lemme-(STL)
    Within               theorem-(ST)
End

# Lemma-numbered style declaration
Style Lemme(STL)
  CopyStyle		Théorème(ST)
  LatexName		stllem
  LabelCounter  lemme-(STL)
  LabelString		"Lemme \arabic{section}.\arabic{theorem-(ST)}.\arabic{lemme-(STL)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{stllem}{Lemme}[stthm]
  EndPreamble
End

Counter lemme-(SPL)
    Within               proposition-(SP)
End

# Lemma-numbered style declaration
Style Lemme(SPL)
  CopyStyle		Théorème(ST)
  LatexName		spllem
  LabelCounter  lemme-(SPL)
  LabelString		"Lemme \arabic{section}.\arabic{proposition-(SP)}.\arabic{lemme-(SPL)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{spllem}{Lemme}[spprop]
  EndPreamble
End

Counter lemme-(STCL)
    Within               corollaire-(STC)
End

# Lemma-numbered style declaration
Style Lemme(STCL)
  CopyStyle		Théorème(ST)
  LatexName		stcllem
  LabelCounter  lemme-(STCL)
  LabelString		"Lemme \arabic{section}.\arabic{theorem-(ST)}.\arabic{corollaire-(STC)}.\arabic{lemme-(STCL)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{stcllem}{Lemme}[stccor]
  EndPreamble
End

Counter lemme-(LsurST)
    Within               theorem-(ST)
End

# Lemma-numbered style declaration
Style Lemme((ST)L)
  CopyStyle		Théorème(ST)
  LatexName		llemst
  LabelCounter  lemme-(LsurST)
  LabelString		"Lemme \arabic{lemme-(LsurST)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{LonST}[stthm]
    \newtheorem{llemst}[LonST]{Lemme}
  EndPreamble
End

Counter lemme-(LsurSP)
    Within               proposition-(SP)
End

# Lemma-numbered style declaration
Style Lemme((SP)L)
  CopyStyle		Théorème(ST)
  LatexName		llemsp
  LabelCounter  lemme-(LsurSP)
  LabelString		"Lemme \arabic{lemme-(LsurSP)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{LonSP}[spprop]
    \newtheorem{llemsp}[LonSP]{Lemme}
  EndPreamble
End

Counter lemme-(LsurSTC)
    Within               corollaire-(STC)
End

# Lemma-numbered style declaration
Style Lemme((STC)L)
  CopyStyle		Théorème(ST)
  LatexName		llemstc
  LabelCounter  lemme-(LsurSTC)
  LabelString		"Lemme \arabic{lemme-(LsurSTC)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{LonSTC}[stccor]
    \newtheorem{llemstc}[LonSTC]{Lemme}
  EndPreamble
End

Counter lemme-(LsurCsurST)
    Within               corollaire-(CsurST)
End

# Lemma-numbered style declaration
Style Lemme(((ST)C)L)
  CopyStyle		Théorème(ST)
  LatexName		stllemc
  LabelCounter  lemme-(LsurCsurST)
  LabelString		"Lemme \arabic{lemme-(LsurCsurST)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{LonConST}[ConST]
    \newtheorem{stllemc}[LonConST]{Lemme}
  EndPreamble
End

Counter lemme-(LsurCsurSP)
    Within               corollaire-(CsurSP)
End

# Lemma-numbered style declaration
Style Lemme(((SP)C)L)
  CopyStyle		Théorème(ST)
  LatexName		spllemc
  LabelCounter  lemme-(LsurCsurSP)
  LabelString		"Lemme \arabic{lemme-(LsurCsurSP)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{LonConSP}[ConSP]
    \newtheorem{spllemc}[LonConSP]{Lemme}
  EndPreamble
End

# Definition-numbered style declaration
Style Définition(ST)
  CopyStyle		Théorème(ST)
  LatexName		stdefn
  LabelString		"Définition \arabic{section}.\arabic{theorem-(ST)}."

  # standard font definition
  Font
    Shape 		Up
  EndFont

  # label font definition
  LabelFont
    Shape		Up
    Series		Bold
  EndFont

  Preamble
   \theoremstyle{definition}
   \newtheorem{stdefn}[stthm]{D\'efinition}
  EndPreamble
End

Counter definition-(SD)
	Within               section
End

# Definition-numbered style declaration
Style Définition(SD)
  CopyStyle		Définition(ST)
  LatexName		sddefn
  LabelCounter  definition-(SD)
  LabelString		"Définition \arabic{section}.\arabic{definition-(SD)}."

  Preamble
   \theoremstyle{definition}
   \newtheorem{sddefn}{D\'efinition}[section]
  EndPreamble
End

# Remark-numbered style declaration
Style Remarque(ST)
  CopyStyle		Théorème(ST)
  LatexName		strem
  LabelString		"Remarque \arabic{section}.\arabic{theorem-(ST)}."

  # standard font definition
  Font
    Shape 		Up
    Size		Normal
  EndFont

  # label font definition
  LabelFont
    Series		Medium
    Shape		Italic
  EndFont

  Preamble
    \theoremstyle{remark}
    \newtheorem{strem}[stthm]{Remarque}
  EndPreamble
End

Counter remarque-(SR)
	Within               section
End

# Remark-numbered style declaration
Style Remarque(SR)
  CopyStyle		Remarque(ST)
  LatexName		srrem
  LabelCounter  remarque-(SR)
  LabelString		"Remarque \arabic{section}.\arabic{remarque-(SR)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{srrem}{Remarque}[section]
  EndPreamble
End

# Notation-numbered style declaration
Style Notation(ST)
  CopyStyle		Remarque(ST)
  LatexName		stnotation
  LabelString		"Notation \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{stnotation}[stthm]{Notation}
  EndPreamble
End

Counter notation-(SN)
	Within               section
End

# Notation-numbered style declaration
Style Notation(SN)
  CopyStyle		Remarque(ST)
  LatexName		snnotation
  LabelCounter  notation-(SN)
  LabelString		"Notation \arabic{section}.\arabic{notation-(SN)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{snnotation}{Notation}[section]
  EndPreamble
End

# Axiom-numbered style declaration
Style Axiome(ST)
  CopyStyle		Théorème(ST)
  LatexName		stax
  LabelString		"Axiome \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{stax}[stthm]{Axiome}
  EndPreamble
End

Counter axiome-(SA)
	Within               section
End

# Axiom-numbered style declaration
Style Axiome(SA)
  CopyStyle		Théorème(ST)
  LatexName		saax
  LabelCounter  axiome-(SA)
  LabelString		"Axiome \arabic{section}.\arabic{axiome-(SA)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{saax}{Axiome}[section]
  EndPreamble
End

# Criterion-numbered style declaration
Style Critère(ST)
  CopyStyle		Théorème(ST)
  LatexName		stcriterion
  LabelString		"Critère \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{stcriterion}[stthm]{Crit\`ere} %%Delete [thm] to re-start numbering
  EndPreamble
End

# Algorithm-numbered style declaration
Style Algorithme(ST)
  CopyStyle		Théorème(ST)
  LatexName		stalgorithm
  LabelString		"Algorithme \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{stalgorithm}[stthm]{Algorithme} %%Delete [thm] to re-start numbering
  EndPreamble
End

# Exercise-numbered style declaration
Style Exercice(ST)
  CopyStyle		Définition(ST)
  LatexName		stexo
  LabelString		"Exercice \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{stexo}[stthm]{Exercice}
   EndPreamble
End

Counter exercice-(SExo)
	Within               section
End

# Exercise-numbered style declaration
Style Exercice(SExo)
  CopyStyle		Définition(ST)
  LatexName		sexoexo
  LabelCounter  exercice-(SExo)
  LabelString		"Exercice \arabic{section}.\arabic{exercice-(SExo)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{sexoexo}{Exercice}[section]
   EndPreamble
End


# Problem-numbered style declaration
Style Problème(ST)
  CopyStyle		Définition(ST)
  LatexName		stproblem
  LabelString		"Problème \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{stproblem}[stthm]{Probl\`eme}
  EndPreamble
End

Counter probleme-(SPb)
	Within               section
End

# Problem-numbered style declaration
Style Problème(SPb)
  CopyStyle		Définition(ST)
  LatexName		stproblem
  LabelCounter  probleme-(SPb)
  LabelString		"Problème \arabic{section}.\arabic{probleme-(SPb)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{spbproblem}{Probl\`eme}[section]
  EndPreamble
End

# Example-numbered style declaration
Style Exemple(ST)
  CopyStyle		Définition(ST)
  LatexName		stexample
  LabelString		"Exemple \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{stexample}[stthm]{Exemple}
  EndPreamble
End

Counter exemple-(SExm)
	Within               section
End

# Example-numbered style declaration
Style Exemple(SExm)
  CopyStyle		Définition(ST)
  LatexName		sexmexample
  LabelCounter  exemple-(SExm)
  LabelString		"Exemple \arabic{section}.\arabic{exemple-(SExm)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{sexmexample}{Exemple}[section]
  EndPreamble
End

# Conjecture-numbered style declaration
Style Conjecture(ST)
  CopyStyle		Théorème(ST)
  LatexName		stconjecture
  LabelString		"Conjecture \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{stconjecture}[stthm]{Conjecture}
  EndPreamble
End

Counter conjecture-(SCj)
	Within               section
End

# Conjecture-numbered style declaration
Style Conjecture(SCj)
  CopyStyle		Théorème(ST)
  LatexName		scjconjecture
  LabelCounter  conjecture-(SCj)
  LabelString		"Conjecture \arabic{section}.\arabic{conjecture-(SCj)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{scjconjecture}{Conjecture}[section]
  EndPreamble
End

# Fact-numbered style declaration
Style Fait(ST)
  CopyStyle		Théorème(ST)
  LatexName		stfact
  LabelString		"Fait \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{stfact}[stthm]{Fait}
  EndPreamble
End

Counter fait-(SF)
	Within               section
End

# Fact-numbered style declaration
Style Fait(SF)
  CopyStyle		Théorème(ST)
  LatexName		sffact
  LabelCounter  fait-(SF)
  LabelString		"Fait \arabic{section}.\arabic{fait-(SF)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{sffact}{Fait}[section]
  EndPreamble
End

# Condition-numbered style declaration
Style Condition(ST)
  CopyStyle		Définition(ST)
  LatexName		stcondition
  LabelString		"Condition \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{stcondition}[stthm]{Condition}
  EndPreamble
End

Counter condition-(SCd)
	Within               section
End

# Condition-numbered style declaration
Style Condition(SCd)
  CopyStyle		Définition(ST)
  LatexName		scdcondition
  LabelCounter  condition-(SCd)
  LabelString		"Condition \arabic{section}.\arabic{condition-(SCd)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{scdcondition}{Condition}[section]
  EndPreamble
End

# Case-numbered style declaration
Style Cas(ST)
  CopyStyle		Remarque(ST)
  LatexName		stcase
  LabelString		"Cas \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{stcase}[stthm]{Cas} %%Numbering of Cases not keyed to sections
  EndPreamble
End

Counter cas-(SCas)
	Within               section
End

# Case-numbered style declaration
Style Cas(SCas)
  CopyStyle		Remarque(ST)
  LatexName		scascase
  LabelCounter  cas-(SCas)
  LabelString		"Cas \arabic{section}.\arabic{cas-(SCas)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{scascase}{Cas}[section]
  EndPreamble
End

# Conclusion-numbered style declaration
Style Conclusion(ST)
  CopyStyle		Remarque(ST)
  LatexName		stconclusion
  LabelString		"Conclusion \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{stconclusion}[stthm]{Conclusion}
  EndPreamble
End

Counter conclusion-(SCl)
	Within               section
End

# Conclusion-numbered style declaration
Style Conclusion(SCl)
  CopyStyle		Remarque(ST)
  LatexName		sclconclusion
  LabelCounter  conclusion-(SCl)
  LabelString		"Conclusion \arabic{section}.\arabic{conclusion-(SCl)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{sclconclusion}{Conclusion}[section]
  EndPreamble
End

# Note-numbered style declaration
Style Note(ST)
  CopyStyle		Remarque(ST)
  LatexName		stnote
  LabelString		"Note \arabic{section}.\arabic{theorem-(ST)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{stnote}[stthm]{Note}
  EndPreamble
End

Counter note-(SNote)
	Within               section
End

# Note-numbered style declaration
Style Note(SNote)
  CopyStyle		Remarque(ST)
  LatexName		snotenote
  LabelCounter  note-(SNote)
  LabelString		"Note \arabic{section}.\arabic{note-(SNote)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{snotenote}{Note}[section]
  EndPreamble
End
