# The environnements defined are :
# - Theoreme(ST)
# - Corollary(ST)
# - Lemma(ST)
# - Proposition(ST)
# - Proposition*
# - Conjecture(ST)
# - Conjecture*
# - Criterion(ST)
# - Algorithm
# - Axiom(ST)
# - Definition(ST)
# - Definition*
# - Example(ST)
# - Example*
# - Condition(ST)
# - Problem(ST)
# - Exercise
# - Exercice*
# - Remark(ST)
# - Remark*
# - Note(ST)
# - Note*
# - Notation(ST)
# - Claim(ST)
# - Claim*
# - Summary(ST)
# - Acknowledgement(ST)
# - Acknowledgement*
# - Case(ST)
# - Conclusion(ST)
# - Conclusion*
# - Fact(ST)
# - Fact*

Format 11

Counter theorem-(T)
End

# Theorem-numbered style declaration
Style Theorem(T)
  CopyStyle		Theorem(ST)
  Category		"Théorèmes numérotés sans les Sections"
  LatexName		tthm
  LabelCounter  theorem-(T)
  LabelString		"Theorem \arabic{theorem-(T)}."

End

# Proposition-numbered style declaration
Style Proposition(T)
  CopyStyle		Theorem(T)
  LatexName		tprop
  LabelString		"Proposition \arabic{theorem-(T)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{tprop}[tthm]{Proposition}
  EndPreamble
End

Counter proposition-(P)
End

# Proposition-numbered style declaration
Style Proposition(P)
  CopyStyle		Theorem(T)
  LatexName		pprop
  LabelCounter  proposition-(P)
  LabelString		"Proposition \arabic{proposition-(P)}."

#  Preamble
#    \theoremstyle{plain}
#    \newtheorem{pprop}{Proposition}
#  EndPreamble
End

# Corollary-numbered style declaration
Style Corollary(T)
  CopyStyle		Theorem(T)
  LatexName		tcor
  LabelString		"Corollary \arabic{theorem-(T)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{tcor}[tthm]{Corollary}
  EndPreamble
End

Counter corollary-(C)
End

# Corollary-numbered style declaration
Style Corollary(C)
  CopyStyle		Theorem(T)
  LatexName		ccor
  LabelCounter  corollary-(C)
  LabelString		"Corollary \arabic{corollary-(C)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{ccor}{Corollaire}
  EndPreamble
End

Counter corollary-(TC)
    Within               theorem-(T)
End

# Corollary-numbered style declaration
Style Corollary(TC)
  CopyStyle		Theorem(T)
  LatexName		tccor
  LabelCounter  corollary-(TC)
  LabelString		"Corollary \arabic{theorem-(ST)}.\arabic{corollary-(STC)}."

#  Preamble
#    \theoremstyle{plain}
#    \newtheorem{tccor}{Corollary}[tthm]
#  EndPreamble
End

Counter corollary-(CsurT)
    Within               theorem-(T)
End

# Corollary-numbered style declaration
Style Corollary((T)C)
  CopyStyle		Theorem(T)
  LatexName		ccort
  LabelCounter  corollary-(CsurT)
  LabelString		"Corollary \arabic{corollary-(CsurT)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{ConT}[tthm]
    \newtheorem{ccort}[ConT]{Corollary}
  EndPreamble
End

Counter corollary-(CsurP)
    Within               proposition-(P)
End

# Corollary-numbered style declaration
Style Corollary((P)C)
  CopyStyle		Theorem(T)
  LatexName		ccorp
  LabelCounter  corollary-(CsurP)
  LabelString		"Corollary \arabic{corollary-(CsurP)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{ConP}[pprop]
    \newtheorem{ccorp}[ConP]{Corollary}
  EndPreamble
End

Counter corollary-(CsurL)
    Within               lemme-(L)
End

# Corollary-numbered style declaration
Style Corollary((L)C)
  CopyStyle		Theorem(T)
  LatexName		ccorl
  DependsOn     Lemma(L)
  LabelCounter  corollary-(CsurL)
  LabelString		"Corollary \arabic{corollary-(CsurSL)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{ConL}[sllem]
    \newtheorem{ccorl}[ConL]{Corollary}
  EndPreamble
End

# Lemma-numbered style declaration
Style Lemma(T)
  CopyStyle		Theorem(T)
  LatexName		tlem
  LabelString		"Lemma \arabic{theorem-(T)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{tlem}[tthm]{Lemma}
  EndPreamble
End

Counter lemma-(L)
End

# Lemma-numbered style declaration
Style Lemma(L)
  CopyStyle		Theorem(T)
  LatexName		llem
  LabelCounter  lemma-(L)
  LabelString		"Lemma \arabic{lemma-(L)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{llem}{Lemma}
  EndPreamble
End

Counter lemma-(TL)
    Within               theorem-(T)
End

# Lemma-numbered style declaration
Style Lemma(TL)
  CopyStyle		Theorem(T)
  LatexName		tllem
  LabelCounter  lemma-(TL)
  LabelString		"Lemma \arabic{theorem-(T)}.\arabic{lemma-(TL)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{tllem}{Lemma}[tthm]
  EndPreamble
End

Counter lemma-(PL)
    Within               proposition-(P)
End

# Lemma-numbered style declaration
Style Lemma(PL)
  CopyStyle		Theorem(T)
  LatexName		pllem
  LabelCounter  lemma-(PL)
  LabelString		"Lemma \arabic{proposition-(P)}.\arabic{lemma-(PL)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{pllem}{Lemma}[pprop]
  EndPreamble
End

Counter lemma-(TCL)
    Within               corollary-(TC)
End

# Lemma-numbered style declaration
Style Lemma(TCL)
  CopyStyle		Theorem(T)
  LatexName		tcllem
  LabelCounter  lemma-(TCL)
  LabelString		"Lemma \arabic{theorem-(T)}.\arabic{corollary-(TC)}.\arabic{lemma-(TCL)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{tcllem}{Lemma}[tccor]
  EndPreamble
End

Counter lemma-(LsurT)
    Within               theorem-(T)
End

# Lemma-numbered style declaration
Style Lemma((T)L)
  CopyStyle		Theorem(T)
  LatexName		llemt
  LabelCounter  lemma-(LsurT)
  LabelString		"Lemma \arabic{lemma-(LsurT)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{LonT}[stthm]
    \newtheorem{llemt}[LonT]{Lemma}
  EndPreamble
End

Counter lemma-(LsurP)
    Within               proposition-(P)
End

# Lemma-numbered style declaration
Style Lemma((P)L)
  CopyStyle		Theorem(T)
  LatexName		llemp
  LabelCounter  lemma-(LsurP)
  LabelString		"Lemma \arabic{lemma-(LsurP)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{LonP}[spprop]
    \newtheorem{llemp}[LonP]{Lemma}
  EndPreamble
End

Counter lemma-(LsurTC)
    Within               corollary-(TC)
End

# Lemma-numbered style declaration
Style Lemma((TC)L)
  CopyStyle		Theorem(T)
  LatexName		llemtc
  LabelCounter  lemma-(LsurTC)
  LabelString		"Lemma \arabic{lemma-(LsurTC)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{LonTC}[tccor]
    \newtheorem{llemtc}[LonTC]{Lemma}
  EndPreamble
End

Counter lemma-(LsurCsurT)
    Within               corollary-(CsurT)
End

# Lemma-numbered style declaration
Style Lemma(((T)C)L)
  CopyStyle		Theorem(T)
  LatexName		tllemc
  LabelCounter  lemma-(LsurCsurT)
  LabelString		"Lemma \arabic{lemma-(LsurCsurT)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{LonConT}[ConT]
    \newtheorem{tllemc}[LonConT]{Lemma}
  EndPreamble
End

Counter lemma-(LsurCsurP)
    Within               corollary-(CsurP)
End

# Lemma-numbered style declaration
Style Lemma(((P)C)L)
  CopyStyle		Theorem(T)
  LatexName		pllemc
  LabelCounter  lemma-(LsurCsurP)
  LabelString		"Lemma \arabic{lemma-(LsurCsurP)}."

  Preamble
    \theoremstyle{plain}
    \newcounter{LonConP}[ConP]
    \newtheorem{pllemc}[LonConP]{Lemma}
  EndPreamble
End

# Definition-numbered style declaration
Style Definition(T)
  CopyStyle		Definition(ST)
  Category		"Théorèmes numérotés sans les Sections"
  LatexName		tdefn
  LabelString		"Definition \arabic{theorem-(T)}."

  Preamble
   \theoremstyle{definition}
   \newtheorem{tdefn}[tthm]{Definition}
  EndPreamble
End

Counter definition-(D)
End

# Definition-numbered style declaration
Style Definition(D)
  CopyStyle		Definition(T)
  LatexName		ddefn
  LabelCounter  definition-(D)
  LabelString		"Definition \arabic{definition-(D)}."

  Preamble
   \theoremstyle{definition}
   \newtheorem{ddefn}{Definition}
  EndPreamble
End

# Remark-numbered style declaration
Style Remark(T)
  CopyStyle		Remark(ST)
  Category		"Théorèmes numérotés sans les Sections"
  LatexName		trem
  LabelString		"Remark \arabic{theorem-(T)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{trem}[tthm]{Remark}
  EndPreamble
End

Counter remark-(R)
End

# Remark-numbered style declaration
Style Remark(R)
  CopyStyle		Remark(T)
  LatexName		rrem
  LabelCounter  remark-(R)
  LabelString		"Remark \arabic{remark-(R)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{rrem}{Remark}
  EndPreamble
End

# Notation-numbered style declaration
Style Notation(T)
  CopyStyle		Remark(T)
  LatexName		tnotation
  LabelString		"Notation \arabic{theorem-(T)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{tnotation}[tthm]{Notation}
  EndPreamble
End

Counter notation-(N)
End

# Notation-numbered style declaration
Style Notation(N)
  CopyStyle		Remark(T)
  LatexName		nnotation
  LabelCounter  notation-(N)
  LabelString		"Notation \arabic{notation-(N)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{nnotation}{Notation}
  EndPreamble
End

# Axiom-numbered style declaration
Style Axiom(T)
  CopyStyle		Theorem(T)
  LatexName		tax
  LabelString		"Axiom \arabic{theorem-(T)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{tax}[tthm]{Axiom}
  EndPreamble
End

Counter axiom-(A)
End

# Axiom-numbered style declaration
Style Axiom(A)
  CopyStyle		Theorem(T)
  LatexName		aax
  LabelCounter  axiom-(A)
  LabelString		"Axiom \arabic{axiom-(A)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{aax}{Axiom}
  EndPreamble
End

# Criterion-numbered style declaration
Style Criterion(T)
  CopyStyle		Theorem(T)
  LatexName		tcriterion
  LabelString		"Criterion \arabic{theorem-(T)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{tcriterion}[tthm]{Criterion}
  EndPreamble
End

# Algorithm-numbered style declaration
Style Algorithm(T)
  CopyStyle		Theorem(T)
  LatexName		talgorithm
  LabelString		"Algorithm \arabic{theorem-(T)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{talgorithm}[tthm]{Algorithm}
  EndPreamble
End

# Exercise-numbered style declaration
Style Exercise(T)
  CopyStyle		Definition(T)
  LatexName		texo
  LabelString		"Exercise \arabic{theorem-(T)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{texo}[tthm]{Exercise}
   EndPreamble
End

Counter exercise-(Exo)
End

# Exercise-numbered style declaration
Style Exercise(Exo)
  CopyStyle		Definition(T)
  LatexName		exoexo
  LabelCounter  exercise-(Exo)
  LabelString		"Exercise \arabic{exercice-(Exo)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{exoexo}{Exercise}
   EndPreamble
End


# Problem-numbered style declaration
Style Problem(T)
  CopyStyle		Definition(T)
  LatexName		tproblem
  LabelString		"Problem \arabic{theorem-(T)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{tproblem}[tthm]{Problem}
  EndPreamble
End

Counter problem-(Pb)
End

# Problem-numbered style declaration
Style Problem(Pb)
  CopyStyle		Definition(T)
  LatexName		pbproblem
  LabelCounter  problem-(Pb)
  LabelString		"Problem \arabic{problem-(Pb)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{pbproblem}{Problem}
  EndPreamble
End

# Example-numbered style declaration
Style Example(T)
  CopyStyle		Definition(T)
  LatexName		texample
  LabelString		"Example \arabic{theorem-(T)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{texample}[tthm]{Example}
  EndPreamble
End

Counter example-(Exm)
End

# Example-numbered style declaration
Style Example(Exm)
  CopyStyle		Definition(T)
  LatexName		exmexample
  LabelCounter  example-(Exm)
  LabelString		"Example \arabic{example-(Exm)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{exmexample}{Example}
  EndPreamble
End

# Conjecture-numbered style declaration
Style Conjecture(T)
  CopyStyle		Theorem(T)
  LatexName		tconjecture
  LabelString		"Conjecture \arabic{theorem-(T)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{tconjecture}[tthm]{Conjecture}
  EndPreamble
End

Counter conjecture-(Cj)
End

# Conjecture-numbered style declaration
Style Conjecture(Cj)
  CopyStyle		Theorem(T)
  LatexName		cjconjecture
  LabelCounter  conjecture-(Cj)
  LabelString		"Conjecture \arabic{conjecture-(Cj)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{cjconjecture}{Conjecture}
  EndPreamble
End

# Fact-numbered style declaration
Style Fact(T)
  CopyStyle		Theorem(T)
  LatexName		tfact
  LabelString		"Fact \arabic{theorem-(T)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{tfact}[tthm]{Fact}
  EndPreamble
End

Counter fact-(F)
End

# Fact-numbered style declaration
Style Fact(F)
  CopyStyle		Theorem(T)
  LatexName		ffact
  LabelCounter  fact-(F)
  LabelString		"Fact \arabic{fact-(F)}."

  Preamble
    \theoremstyle{plain}
    \newtheorem{ffact}{Fact}
  EndPreamble
End

# Condition-numbered style declaration
Style Condition(T)
  CopyStyle		Definition(T)
  LatexName		tcondition
  LabelString		"Condition \arabic{theorem-(T)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{tcondition}[tthm]{Condition}
  EndPreamble
End

Counter condition-(Cd)
End

# Condition-numbered style declaration
Style Condition(Cd)
  CopyStyle		Definition(T)
  LatexName		cdcondition
  LabelCounter  condition-(Cd)
  LabelString		"Condition \arabic{condition-(Cd)}."

  Preamble
   \theoremstyle{definition}
    \newtheorem{cdcondition}{Condition}
  EndPreamble
End

# Case-numbered style declaration
Style Case(T)
  CopyStyle		Remark(T)
  LatexName		tcase
  LabelString		"Cas \arabic{theorem-(T)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{tcase}[tthm]{Cas}
  EndPreamble
End

Counter case-(Cas)
End

# Case-numbered style declaration
Style Case(Cas)
  CopyStyle		Remark(T)
  LatexName		cascase
  LabelCounter  case-(Cas)
  LabelString		"Case \arabic{cas-(Cas)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{cascase}{Case}
  EndPreamble
End

# Conclusion-numbered style declaration
Style Conclusion(T)
  CopyStyle		Remark(T)
  LatexName		tconclusion
  LabelString		"Conclusion \arabic{theorem-(T)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{tconclusion}[tthm]{Conclusion}
  EndPreamble
End

Counter conclusion-(Cl)
End

# Conclusion-numbered style declaration
Style Conclusion(Cl)
  CopyStyle		Remark(T)
  LatexName		clconclusion
  LabelCounter  conclusion-(Sl)
  LabelString		"Conclusion \arabic{conclusion-(Cl)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{clconclusion}{Conclusion}
  EndPreamble
End

# Note-numbered style declaration
Style Note(T)
  CopyStyle		Remark(T)
  LatexName		tnote
  LabelString		"Note \arabic{theorem-(T)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{tnote}[tthm]{Note}
  EndPreamble
End

Counter note-(Note)
End

# Note-numbered style declaration
Style Note(Note)
  CopyStyle		Remark(T)
  LatexName		notenote
  LabelCounter  note-(Note)
  LabelString		"Note \arabic{note-(Note)}."

  Preamble
    \theoremstyle{remark}
    \newtheorem{notenote}{Note}
  EndPreamble
End
